﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing SOD Simulations Based on Entitlements</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing SOD Simulations Based on Entitlements</h1>
        <p>You can create and manage SOD simulations using the <strong>Create New Simulation</strong> page.</p>
        <p>To create a new SOD simulation based on entitlement, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>SOD &gt; Simulation&#160;&gt;&#160;Simulation List</strong>.</li>
            <li>Click the&#160;<strong>Actions</strong>&#160;arrow and select&#160;<strong>Create  &#160;Simulation</strong>. The <strong>Create New Simulation </strong>page appears.</li>
            <li>
                <p class="auto-cursor-target">Enter/select the values in the&#160;<strong>Fill in the data</strong>&#160;and&#160;<strong>Select one of the Simulation Scenarios</strong>&#160;sections.</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 13.6811%;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 86.3061%;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Name</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Provide a name for the simulation being newly created.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Description</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Provide a description for the simulation.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Comments</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter comments for the simulation being newly created.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Expiry Date</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select an expiry date for the simulation using the calendar.&#160;</p>
                                    <p class="table-text">If date is not selected then&#160;by default expiry date is set to one year from current date.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Ruleset</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate ruleset to which simulation is associated with.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">System Name</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate security system to which the simulation is associated with.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Select One of the Simulation Scenarios</p>
                                </td>
                                <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text" style="font-size: 14px;">Select the following scenario type and click<strong>Next</strong>.</p>
                                    <ul>
                                        <li style="font-size: 14px;">BASED ON ENTITLEMENT</li>
                                    </ul>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p class="auto-cursor-target">In <strong>Select Existing Entitlements</strong> page, select one or more entitlements in the <strong>List of Entitlements</strong> section and click one of the following available buttons:</p>
                <ul>
                    <li><strong>Add Selected</strong>- Click this option to add the selected entitlements.</li>
                    <li><strong>Add All</strong>- Click this option to add all the entitlements.</li>
                </ul>
            </li>
            <li>The selected entitlements appear in the <strong>Selected Entitlements&#160;</strong>section. If you want to remove, you can use the following options, else click <strong>Next</strong>:<ul><li><strong>Remove -</strong> Click this option to remove the selected entitlements.</li><li><strong>Remove All -</strong> Click this option to remove all the entitlements.</li></ul></li>
            <li>The <strong>Simulation Detail&#160;</strong>page appears.&#160;Click on the relevant entitlement name in the<strong>Simulation Name: &lt;Simulation Name&gt;</strong></li>
        </ol>
        <p class="auto-cursor-target">The following tabs appear on the right-side of the section to manage and view SOD simulations based on entitlements:</p>
        <p class="auto-cursor-target">
            <img src="../Resources/Images/simulation detail.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 700px;" />
        </p>
        <ul>
            <li>
                <p class="note">The&#160;<strong>Entitlement Detail</strong>,&#160;<strong>Entitlement&#160;</strong>and&#160;<strong>SOD&#160;</strong>tabs display the existing entitlements and SOD violation details, respectively. This is read-only and you cannot edit, add or delete values in these tabs.</p>
            </li>
            <li>
                <p class="note">The&#160;<strong>Entitlement(New)</strong>&#160;and&#160;<strong>SOD (New)</strong> tabs can be used to manage new SOD simulations based on the newly added entitlements.</p>
            </li>
            <li>
                <p class="note">You can add or delete one or more entitlement values from the&#160;<strong>Entitlement (New)</strong>&#160;tab, if the newly added entitlement value causes any violations, those violations caused by the entitlement can be viewed in the&#160;<strong>SOD&#160;(New)</strong>&#160;tab with details such as Risk ID, Function, Entitlement, Endpoint, Security System and so on.&#160;</p>
            </li>
            <li>
                <p class="note">You can perform other selective actions while you are managing the SOD simulations.&#160;</p>
            </li>
        </ul>
        <h3 id="ManagingSODSimulationsBasedonEntitlements-EntitlementDetailTab">Entitlement Detail Tab</h3>
        <p>This tab provides details of the selected entitlement.</p>
        <p>
            <img src="../Resources/Images/entitlement detail tab.png" style="width: 685px;height: 633px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 181.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 465.0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Entitlement Value</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the entitlement value.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Entitlement Type</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the entitlement type.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Custom Property 1</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the custom property 1 details specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Custom Property 2</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the custom property 2 details specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Custom Property 3</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the custom property 3 details specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Custom Property 4</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the custom property 4 details specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Custom Property 5</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the custom property 5 details specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Description</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the relevant description provided for the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Update Date</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the last update date for the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Entitlement Glossary</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the entitlement glossary, provided for the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">SOX Critical</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the SOX criticality specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Sys Critical</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the system criticality specified for this entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Status</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the current status of the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Risk</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the risk level information specified for the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Privileged</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Displays the privileged level information for the entitlement.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Financial</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">The financial impact if any, appears.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Module</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">The relevant module name appears.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Access</p>
                    </td>
                    <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">The access details appears.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Entitlement Tab</h3>
        <p>This tab lists all the entitlement values which are associated with the entitlement type.</p>
        <p>The following details are displayed:</p>
        <ul>
            <li>Entitlement Value -&#160;Displays the entitlement value name.</li>
            <li>Roles -&#160;Displays the role name associated with the entitlement.</li>
            <li>Description -&#160;Displays the description for the entitlement value.</li>
            <li>Entitlement Glossary -&#160;Displays the glossary of the entitlement value.</li>
            <li>Endpoint - Displays the appropriate endpoint name.</li>
            <li>Security System- Displays the appropriate security system name.</li>
        </ul>
        <h3>Entitlement (New) Tab</h3>
        <p>This tab displays all the newly selected/added/modified entitlements during simulation. You can use this tab to add additional entitlements to the user account and carry out the simulations. You must add one or more entitlements to view the SOD violation, that may be caused by the newly added entitlements. You can view the violations caused by adding new entitlements in SOD (New)&#160;tab.</p>
        <p>To add additional entitlements, perform the following steps: click <strong>+ Add Tcode,</strong> select one or more entitlement check boxes and click <strong>Save</strong>.</p>
        <ol>
            <li>Click <strong>+ Add Tcode,&#160;</strong>search for one or more entitlement values using <strong>Advanced</strong> search. For example, you can search based on the entitlement type and status.</li>
            <li>Select one or more entitlement check boxes and click <strong>Save</strong>. Else click <strong>Close.&#160;</strong>The newly added Tcode (entitlements) and their details are listed in the following columns:</li>
        </ol>
        <p>The following details are displayed:</p>
        <ul>
            <li>Entitlement Value -&#160;Displays the entitlement value name.</li>
            <li>Already Existing - Specifies, if the entitlement is already existing in the user account.</li>
            <li>Roles - Displays the role name associated with selected entitlement.</li>
            <li>Description -&#160;Displays the description for the entitlement value.</li>
            <li>Entitlement Glossary -&#160;Displays the glossary of the entitlement value.</li>
            <li>Endpoint - Displays the appropriate endpoint name.</li>
            <li>Security System- Displays the appropriate security system name.</li>
        </ul>
        <p>To remove any entitlement, click <strong>X</strong> in-line with the entitlement name.</p>
        <h3 id="ManagingSODSimulationsBasedonEntitlements-SODTab">SOD Tab</h3>
        <p>This tab lists the existing SOD violations associated with this user account. The violations that are caused due to existing entitlements are listed in this section, you can click <strong>Run SOD,</strong> to see the existing violations.</p>
        <p>The existing SOD violations are displayed in the following columns:</p>
        <ul>
            <li>Risk Code - Displays the associated risk name.</li>
            <li>Risk Description - Displays the description for the risk.</li>
            <li>Priority - Displays the risk priority</li>
            <li>Functions1 - Displays the associated functions with the risk.</li>
            <li>Functions2 -&#160;Displays the associated functions with the risk.</li>
            <li>Mitigating Control - Displays the mitigating control defined for the risk.</li>
        </ul>
        <h3 id="ManagingSODSimulationsBasedonEntitlements-SoD(New)Tab">SoD (New) Tab</h3>
        <p>You can use this tab to view the simulation results for SOD violations, caused after adding one or more new entitlements in the <strong>Role (New)</strong>&#160;tab.</p>
        <p>To refresh and view the latest SOD violations after adding one or more entitlements, click <strong>Run SOD</strong> to see the new violations.</p>
        <p>The SOD violation simulation details are displayed in the following columns:</p>
        <ul>
            <li>Risk Code - Displays the associated risk name.</li>
            <li>Risk Description - Displays the description for the risk.</li>
            <li>Priority - Displays the risk priority</li>
            <li>Functions1 - Displays the associated functions with the risk.</li>
            <li>Functions2 -&#160;Displays the associated functions with the risk.</li>
            <li>Mitigating Control - Displays the mitigating control defined for the risk.</li>
        </ul>
        <h2 class="sc-lkqHmb grklGJ" id="ManagingSODSimulationsBasedonEntitlements-ActionsonSODSimulationDetailspageforEntitlements">Actions on SOD Simulation Details page for Entitlements</h2>
        <p>You can perform one or more actions from Simulation Details page as well, if the simulation is not selected from the <strong>Simulation Name</strong> list. This includes the following:</p>
        <p>To manage an action, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD&#160;&gt; Simulation &gt; Simulation List.</strong></li>
        </ol>
        <p>The&#160;<strong>Simulation List</strong>page appears with all the SOD simulations. You can search for one or more simulation using the search and&#160;<strong>Advanced</strong>&#160;search option. Based on the search criteria that you enter in the search or advanced search filter fields, the system displays one or more SOD simulations, accordingly.</p>
        <ol MadCap:continue="true">
            <li>Click the&#160;<strong>Action</strong>&#160;drop down in the&#160;<strong>Actions</strong>&#160;column in line with the&#160;<strong>Simulation Name</strong>&#160;or&#160;<strong>Type</strong>. Selecting&#160;<strong>View</strong>&#160;option will display the<strong>Simulation Detail</strong>&#160;page.</li>
            <li>Click the&#160;<strong>Actions&#160;</strong>drop down on&#160;the <strong>Simulation Detail</strong>&#160;page.</li>
        </ol>
        <p>The actions you can take on a <strong>Users (Existing Users and All Users Type)</strong>&#160;based simulations and <strong>Entitlements (Existing Roles)</strong>&#160;based simulations are different.</p>
        <p>You can perform the following actions:</p>
        <h4 id="ManagingSODSimulationsBasedonEntitlements-Deleting">Deleting&#160;</h4>
        <p>Click <strong>Delete</strong> option to delete the selected simulation details, else click<strong>Close.</strong></p>
        <h4 id="ManagingSODSimulationsBasedonEntitlements-AddingTcodestoallRoles">Adding Tcodes to all Roles</h4>
        <p>You can add entitlements (Tcodes) to all the roles available in the selected SOD simulation, by selecting this option.</p>
        <ol>
            <li>You can select the <strong>Add TCODE to all roles</strong>, from the <strong>Actions</strong> dropdown.</li>
            <li>Select one or more entitlements(TCODE) from the Add TCODE screen.</li>
            <li>Click <strong>Save</strong> to add the selected entitlements in all the roles listed within the simulation.</li>
        </ol>
        <h4 id="ManagingSODSimulationsBasedonEntitlements-SimulatingalltheavailableSODSimulations">Simulating all the available SOD Simulations</h4>
        <p>You can run all the listed SOD simulation, by selecting this option from the Actions dropdown.</p>
        <ol>
            <li>You can select the <strong>Simulate All</strong> option, from the <strong>Actions</strong> dropdown.</li>
            <li>An information pop-up message is displayed, click <strong>Start</strong> if you intend to simulate all the listed simulations, else click <strong>Close</strong>.</li>
            <li>After all the simulations are run the status of the listed simulations from the <strong>Simulation List</strong> page is marked as <strong>Completed.</strong></li>
        </ol>
        <p>After the&#160;Simulate All&#160;option is selected, the Simulation List page is automatically displayed, with the status of all the listed simulations as&#160;In-Process. The simulation will take some time to complete. After the simulation is completed the status is marked as&#160;Completed,&#160;along with any SOD violations are listed in the respective simulations.</p>
        <h4 id="ManagingSODSimulationsBasedonEntitlements-Exporting">Exporting&#160;</h4>
        <p>For more information on exporting the SOD simulations and its formats, see <MadCap:xref href="Exporting-SOD-Simulation.htm">Exporting SOD Simulation.</MadCap:xref></p>
    </body>
</html>